stages:
  - package-publish

helm-package:
  stage: package-publish
  image:
    name: alpine/helm:3.5.3
    entrypoint: [""]
  variables:
    CHART: tautulli
  before_script:
    - apk add git
    - helm plugin install --version=v0.9.0 https://github.com/chartmuseum/helm-push.git
    - helm dependency build
    - >
      helm repo add ${CHART}
      --username ${CI_REGISTRY_USER}
      --password ${CI_REGISTRY_PASSWORD}
      ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/helm/stable
  script:
    - helm package ./
    - helm push ${CHART}*.tgz ${CHART}
  only:
    refs:
      - main
